# Getting product information GET /eshop/:uuid/v2/tariff This method is used to get all products information (pricing) from e-Leasing+ which are assigned to specific partner e-shop. If e-shop have assigned only one tariff this endpoint may not be used. To get all information about assigned tariffs/products to e-shop need provide e-shop uuid, this value is provided by "AS Inbank filialas". Endpoint: GET /eshop/{uuid}/v2/tariff Security: apiKeyAuth ## Path parameters: - `uuid` (string, required) Eshop unique identifier. Example: "c3945e9e-426f-8859-8b60-3b9e9a46d101" ## Response 200 fields (application/json): - `tariffs` (array) List of tariffs (products). - `tariffs.tariff_code` (string) Tariff code. - `tariffs.valid_from` (string) Tariff valid from. - `tariffs.valid_to` (string) Tariff valid to. - `tariffs.moki` (string) Shows which MOKI product is used. - `tariff_data` (array) List of tariffs data. - `tariff_data.term_from` (number) Contract term from. - `tariff_data.term_to` (number) Contract term to. - `tariff_data.amount_from` (number) Contract amount from €. - `tariff_data.amount_to` (number) Contract amount to €. - `tariff_data.advance_from` (number) Contract advance from %. - `tariff_data.advance_to` (number) Contract advance to %. - `tariff_data.admin_fee` (number) Contract one time administration fee %. - `tariff_data.monthly_admin_fee` (number) Contract monthly administration fee %. - `tariff_data.monthly_interest` (number) Contract monthly interests %. - `error_code` (string) Error code: - AUTHENTICATION_FAILURE - WRONG_RETURN_URL - WRONG_ORDER_ID - `error_message` (string) Error description: - API key incorrect - Return url entered is incorrect - Order id entered is incorrect - `errors` (array) System errors back trace list. ## Response 401 fields (application/json): - `message` (string) Unauthorized Example: "unauthorized" ## Response 404 fields (application/json): - `message` (string) Not Found Example: "not_found"